{ pkgs, ... }:
{
  services.syncthing = {
    enable =  true;
    user = "willifan";
    dataDir = "/home/willifan/temp";
    configDir = "/home/willifan/temp/.config/syncthing";
    overrideDevices = true;
    overrideFolders = true;
    settings = {
      gui = {
        user = "willifan";
        password = "temppassword";
      };
      devices = {
        Anton = { id = "SGKTC3I-6IQZ5Z5-VAB76N6-L7DJ3TH-BMSZGKZ-MZPZHLO-KOVMZ2W-V5GQTA6"; };
      };
      folders = {
        "Documents" = {
          id = "jtl6g-qjmwo";
          path = "/mnt/data/Documents";
          devices = [ "Anton" ];
        };
        "Pictures" = {
          id = "po4qj-q9t0t";
          path = "/mnt/data/Pictures";
          devices = [ "Anton" ];
        };
        "Videos" = {
          id = "4wqf5-xasng";
          path = "/mnt/data/Videos";
          devices = [ "Anton" ];
        };
        "Notes" = {
          id = "oc61n-iewgj";
          path = "/mnt/data/Notes";
          devices = [ "Anton" ];
        };
        "Music" = {
          id = "xxh8a-3y2tq";
          path = "/mnt/data/Music";
          devices = [ "Anton" ];
        };
      };
    };
  };
}